Subject: DIGEST-MD5 additional AES cipher modes?
From: Tom Yu <[email-masked]>
To: [email-masked]
Date: Fri, 30 Sep 2005 17:30:28 -0400
List-Id: <ietf-sasl.imc.org>

During IETF63, the subject of using AES counter mode for encryption in
DIGEST-MD5 was brought up.  Additionally, there was some inconclusive
discussion about using one of the combined encryption and integrity
cipher modes, with some preference from Sam to put the combined mode
in a separate document for the sake of advancing the main document
more rapidly.

Is there still interest in pursuing AES counter mode for DIGEST-MD5?
I believe Alexey wanted some assistance in writing text to describe
counter mode for DIGEST-MD5.  Is anyone willing to help?

---Tom

To: [email-masked]
Subject: CONSENSUS CALL: DIGEST-MD5 AES cipher mode
From: Tom Yu <[email-masked]>
Date: Fri, 30 Sep 2005 17:23:48 -0400
Lines: 15
Sender: [email-masked]

At IETF63, there appeared to be consensus in the room to drop
"proposal #2" from DIGEST-MD5's specification of a AES CBC cipher
mode.  This proposal involves sending a separate IV in a separate SASL
block, and not using a new explicit IV in each block.

Discussion of AES counter mode should occur on a different thread,
which I will start separately.

In the absence of objections, I will declare that the consensus of the
Working Group is to drop the aforementioned "proposal #2" from
DIGEST-MD5.

Please respond by noon US/Eastern time on Friday, October 7th.

---Tom

To: [email-masked]
Subject: CONSENSUS CALL: GSSAPI mechanism spec
From: Tom Yu <[email-masked]>
Date: Fri, 30 Sep 2005 17:23:05 -0400
Lines: 13
Sender: [email-masked]

At IETF63, there appeared to consensus in the room to separate the
SASL GSSAPI mechanism specification into distinct specifications for
the legacy (krb5 and SPNEGO) and the family of mechanisms.  Alexey's
current draft (Thanks Alexey!) reflects the first part of this
consensus.

In the absence of objections, I will declare that the consensus of the
Working Group is to perform the aforementioned division of the GSSAPI
SASL mechanism specification.

Please respond by noon US/Eastern time on Friday, October 7th.

---Tom

To: [email-masked]
Subject: CONSENSUS CALL: remove CRAM-MD5 from standards track
From: Tom Yu <[email-masked]>
Date: Fri, 30 Sep 2005 17:22:50 -0400
Lines: 10
Sender: [email-masked]

At IETF63, there appeared to be consensus in the room to remove
CRAM-MD5 from the standards track.  There appears to be some
preference to advance the document as Historic.

In the absence of objections, I will declare that the consensus of the
Working Group is to progress CRAM-MD5 as Historic.

Please respond by noon US/Eastern time on Friday, October 7th.

---Tom

Date: Fri, 30 Sep 2005 17:10:15 +0100
From: Alexey Melnikov <[email-masked]>
To: Tom Yu <[email-masked]>
CC: [email-masked]
Subject: Re: SASL session at IETF64
Sender: [email-masked]

Ken Murchison wrote:

> Tom Yu wrote:
>
>> Hi all,
>>
>> The deadline for requesting Working Group and BOF sessions at IETF64
>> is this coming Monday, October 3rd.  I intend to request a 1.5 hour
>> session for SASL at IETF64.  Please let me know if you feel that more
>> time would be needed.  Also, if you have particular agenda items you
>> would like to discuss during the session, please let me know.
>>
>> Currently, Working Groups to avoid conflicts with include the
>> following:
>>
>> KRB-WG, KITTEN, LDAPBIS, PKIX, XMPP, SAAG, TLS, AppsArea, IMAPEXT,
>> EAP, LTRU
>>
>> Please let me know if you think there are any additional groups to
>> avoid conflicts with.
>
> LEMONADE

And SIEVE.

Date: Thu, 29 Sep 2005 08:14:50 -0400
From: Ken Murchison <[email-masked]>
Organization: Oceana Matrix Ltd.
To: Tom Yu <[email-masked]>
CC: [email-masked]
Subject: Re: SASL session at IETF64
Sender: [email-masked]

Tom Yu wrote:

> Hi all,
> 
> The deadline for requesting Working Group and BOF sessions at IETF64
> is this coming Monday, October 3rd.  I intend to request a 1.5 hour
> session for SASL at IETF64.  Please let me know if you feel that more
> time would be needed.  Also, if you have particular agenda items you
> would like to discuss during the session, please let me know.
> 
> Currently, Working Groups to avoid conflicts with include the
> following:
> 
> KRB-WG, KITTEN, LDAPBIS, PKIX, XMPP, SAAG, TLS, AppsArea, IMAPEXT,
> EAP, LTRU
> 
> Please let me know if you think there are any additional groups to
> avoid conflicts with.

LEMONADE

-- 
Kenneth Murchison     Oceana Matrix Ltd.
Software Engineer     21 Princeton Place
716-662-8973 x26      Orchard Park, NY 14127
--PGP Public Key--    http://www.oceana.com/~ken/ksm.pgp

To: [email-masked]
Subject: SASL session at IETF64
From: Tom Yu <[email-masked]>
Date: Wed, 28 Sep 2005 18:35:56 -0400
Lines: 18
Sender: [email-masked]

Hi all,

The deadline for requesting Working Group and BOF sessions at IETF64
is this coming Monday, October 3rd.  I intend to request a 1.5 hour
session for SASL at IETF64.  Please let me know if you feel that more
time would be needed.  Also, if you have particular agenda items you
would like to discuss during the session, please let me know.

Currently, Working Groups to avoid conflicts with include the
following:

KRB-WG, KITTEN, LDAPBIS, PKIX, XMPP, SAAG, TLS, AppsArea, IMAPEXT,
EAP, LTRU

Please let me know if you think there are any additional groups to
avoid conflicts with.

---Tom

content-class: urn:content-classes:message
Subject: FW: Last Call: 'RADIUS Extension for Digest Authentication' to Proposed Standard
Date: Mon, 26 Sep 2005 10:08:37 -0700
From: "Salowey, Joe" <[email-masked]>
To: <[email-masked]>
Sender: [email-masked]

> ---------- Forwarded message ----------
> From: The IESG <[email-masked]>
> Date: Sep 23, 2005 2:29 PM
> Subject: Last Call: 'RADIUS Extension for Digest 
> Authentication' to Proposed Standard
> To: IETF-Announce <[email-masked]>
> Cc: [email-masked]
> 
> 
> The IESG has received a request from the RADIUS EXTensions WG 
> to consider the following document:
> 
> - 'RADIUS Extension for Digest Authentication '
>    <draft-ietf-radext-digest-auth-05.txt> as a Proposed Standard
> 
> The IESG plans to make a decision in the next few weeks, and 
> solicits final comments on this action.  Please send any 
> comments to the [email-masked] or [email-masked] mailing lists 
> by 2005-10-07.
> 
> The file can be obtained via
>
http://www.ietf.org/internet-drafts/draft-ietf-radext-digest-auth-05.txt
> 
> 
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf-announce
> 

To: [email-masked]
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-sasl-gssapi-03.txt 
Date: Tue, 06 Sep 2005 18:50:02 -0400
Sender: [email-masked]

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Simple Authentication and Security Layer Working Group of the IETF.

	Title		: SASL GSSAPI mechanisms
	Author(s)	: A. Melnikov
	Filename	: draft-ietf-sasl-gssapi-03.txt
	Pages		: 13
	Date		: 2005-9-6
	
The Simple Authentication and Security Layer [SASL] is a method for
   adding authentication support to connection-based protocols.  This
   document describes the method for using the Generic Security Service
   Application Program Interface [GSSAPI] KERBEROS V5 and SPNEGO in the
   Simple Authentication and Security Layer [SASL].

   This document replaces section 7.2 of RFC 2222 [SASL], the definition
   of the "GSSAPI" SASL mechanism.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-sasl-gssapi-03.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-sasl-gssapi-03.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-sasl-gssapi-03.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-sasl-gssapi-03.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-sasl-gssapi-03.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--